Package de.willuhn.jameica.hbci.accounts.hbci.controller

# Class HBCIVariantPinTanController

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.accounts.hbci.controller.HBCIVariantPinTanController

@Lifecycle(REQUEST) public class HBCIVariantPinTanController extends de.willuhn.jameica.gui.AbstractControl
Controller zum Erstellen einer neuen PIN/TAN-Config.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`HBCIVariantPinTanController()`
ct.

## Method Summary

Modifier and Type
Method
Description
`BankInfoInput`
`getBank()`
Liefert das Suchfeld fuer die Bank.
`String`
`getBankText()`
Liefert einen sprechenden Text fuer die ausgewaehlte Bank insofern verfuegbar.
`de.willuhn.jameica.gui.input.TextInput`
`getCustomer()`
Liefert das Eingabefeld fuer die Kundenkennung.
`de.willuhn.jameica.gui.parts.Button`
`getStep1Button()`
Liefert den Weiter-Button.
`org.eclipse.swt.widgets.Listener`
`getStep1Listener()`
Liefert den Listener zur Freigabe des ersten Weiter-Buttons.
`de.willuhn.jameica.gui.parts.Button`
`getStep2Button()`
Liefert den Weiter-Button.
`org.eclipse.swt.widgets.Listener`
`getStep2Listener()`
Liefert den Listener zur Freigabe des zweiten Weiter-Buttons.
`de.willuhn.jameica.hbci.accounts.hbci.controller.HBCIVariantPinTanController.URLInput`
`getURL()`
Liefert die URL des HBCI-Servers.
`de.willuhn.jameica.gui.input.TextInput`
`getUsername()`
Liefert das Eingabefeld fuer die Benutzerkennung.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIVariantPinTanController

public HBCIVariantPinTanController()
ct.

## Method Details

### getBank

public BankInfoInput getBank()
Liefert das Suchfeld fuer die Bank.

Returns:
  das Eingabefeld.

### getURL

public de.willuhn.jameica.hbci.accounts.hbci.controller.HBCIVariantPinTanController.URLInput getURL()
Liefert die URL des HBCI-Servers.

Returns:
  die URL des HBCI-Servers.

### getStep1Listener

public org.eclipse.swt.widgets.Listener getStep1Listener()
Liefert den Listener zur Freigabe des ersten Weiter-Buttons.

Returns:
  der Listener zur Freigabe des ersten Weiter-Buttons.

### getStep2Listener

public org.eclipse.swt.widgets.Listener getStep2Listener()
Liefert den Listener zur Freigabe des zweiten Weiter-Buttons.

Returns:
  der Listener zur Freigabe des zweiten Weiter-Buttons.

### getCustomer

public de.willuhn.jameica.gui.input.TextInput getCustomer()
Liefert das Eingabefeld fuer die Kundenkennung.

Returns:
  das Eingabefeld fuer die Kundenkennung.

### getUsername

public de.willuhn.jameica.gui.input.TextInput getUsername()
Liefert das Eingabefeld fuer die Benutzerkennung.

Returns:
  das Eingabefeld fuer die Benutzerkennung.

### getStep1Button

public de.willuhn.jameica.gui.parts.Button getStep1Button()
Liefert den Weiter-Button.

Returns:
  der Weiter-Button.

### getStep2Button

public de.willuhn.jameica.gui.parts.Button getStep2Button()
Liefert den Weiter-Button.

Returns:
  der Weiter-Button.

### getBankText

public String getBankText()
Liefert einen sprechenden Text fuer die ausgewaehlte Bank insofern verfuegbar.

Returns:
  sprechender Text fuer die ausgewaehlte Bank insofern verfuegbar.